cURL
curl --request GET \ --url https://statsigapi.net/console/v1/keys \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "Keys listed successfully.", "data": [ { "key": "secret-123", "type": "SERVER", "description": "Server secret key", "scopes": [], "environments": [ "production" ], "primaryTargetApp": "primaryApp", "secondaryTargetApps": [ "secondaryApp" ], "status": "active" }, { "key": "console-123", "type": "CONSOLE", "description": "Console API key", "scopes": [ "omni_read_write", "can_access_keys" ], "status": "active" } ] }
Optional header to respect review settings for mutation endpoints.
Results per page
10
Page number
1
Keys listed successfully
A simple string explaining the result of the operation.
Array of results returned by pagination limit.
Show child attributes
SERVER
CLIENT
CONSOLE
SCIM
ORG
omni_read_only
omni_read_write
client_download_config_specs
none_hash_enabled
can_access_keys
client_can_write_user_store
personal_read_only
personal_read_write
active
deactivated
Pagination metadata for checking if there is next page for example.
Was this page helpful?